package cn.com.infosec.asn1.x509;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1Sequence;
import cn.com.infosec.asn1.DERObject;
import cn.com.infosec.asn1.DERSequence;
import java.util.Enumeration;

public class Targets extends ASN1Encodable {
   private ASN1Sequence targets;

   public static Targets getInstance(Object obj) {
      if (obj instanceof Targets) {
         return (Targets)obj;
      } else if (obj instanceof ASN1Sequence) {
         return new Targets((ASN1Sequence)obj);
      } else {
         throw new IllegalArgumentException("unknown object in factory: " + obj.getClass());
      }
   }

   private Targets(ASN1Sequence targets) {
      this.targets = targets;
   }

   public Targets(Target[] targets) {
      Targets var10000 = this;
      super();
      DERSequence var2;
      var2 = new DERSequence.<init>(targets);
      var10000.targets = var2;
   }

   public Target[] getTargets() {
      Target[] var3 = new Target[this.targets.size()];
      int var1 = 0;

      for(Enumeration var2 = this.targets.getObjects(); var2.hasMoreElements(); var3[var1++] = Target.getInstance(var2.nextElement())) {
      }

      return var3;
   }

   public DERObject toASN1Object() {
      return this.targets;
   }
}
